#!/bin/bash
#
# Use this to mass process extraction of frames from several glb
# 3/8/2026
# ChatGPT
#
#
# This needs to be run from whitin colorpie/scripts directory
#
for glb in \
  ../glb/colorpie_voronish_20260308_12303.glb \
  ../glb/colorpie_grayscale_20260308_12303.glb \
  ../glb/colorpie_warmcool_20260308_12303.glb \
  ../glb/colorpie_muted_20260308_12303.glb \
  ../glb/colorpie_gamut_20260308_1303.glb
do
  blender-bin-5.0.0 -b ../blender/colorpie_template.blend \
    --python render_colorpie_frames.py -- \
    "$glb" \
    --outdir ../img --format webp
done